Share via


Instance Pools - Update

Updates an instance pool.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/instancePools/{instancePoolName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
instancePoolName
path True

string

The name of the instance pool to be retrieved.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties.licenseType True

InstancePoolLicenseType

The license type. Possible values are 'LicenseIncluded' (price for SQL license is included) and 'BasePrice' (without SQL license price).

properties.subnetId True

string

Resource ID of the subnet to place this instance pool in.

properties.vCores True

integer (int32)

Count of vCores belonging to this instance pool.

properties.maintenanceConfigurationId

string (arm-id)

Specifies maintenance configuration id to apply to this managed instance.

sku

Sku

The name and tier of the SKU.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

InstancePool

Azure operation completed successfully.

202 Accepted

Resource update request accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Patch an instance pool

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/instancePools/testIP?api-version=2025-01-01

{
  "tags": {
    "x": "y"
  }
}

Sample response

{
  "name": "testIP",
  "type": "Microsoft.Sql/instancePools",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/instancePools/testIP",
  "location": "japaneast",
  "properties": {
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_MI_1",
    "subnetId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1",
    "vCores": 8
  },
  "sku": {
    "name": "GP_Gen5",
    "family": "Gen5",
    "tier": "GeneralPurpose"
  },
  "tags": {
    "x": "y"
  }
}
Location: https://management.azure.com/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/instancepoolazureasyncoperation/00000000-1111-2222-3333-444444444444?api-version=2022-11-01-preview

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

InstancePool

An Azure SQL instance pool.

InstancePoolLicenseType

The license type. Possible values are 'LicenseIncluded' (price for SQL license is included) and 'BasePrice' (without SQL license price).

InstancePoolUpdate

An update to an Instance pool.

Sku

An ARM Resource SKU.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

InstancePool

An Azure SQL instance pool.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.dnsZone

string

The Dns Zone that the managed instance pool is in.

properties.licenseType

InstancePoolLicenseType

The license type. Possible values are 'LicenseIncluded' (price for SQL license is included) and 'BasePrice' (without SQL license price).

properties.maintenanceConfigurationId

string (arm-id)

Specifies maintenance configuration id to apply to this managed instance.

properties.subnetId

string

Resource ID of the subnet to place this instance pool in.

properties.vCores

integer (int32)

Count of vCores belonging to this instance pool.

sku

Sku

The name and tier of the SKU.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

InstancePoolLicenseType

The license type. Possible values are 'LicenseIncluded' (price for SQL license is included) and 'BasePrice' (without SQL license price).

Value Description
LicenseIncluded

LicenseIncluded

BasePrice

BasePrice

InstancePoolUpdate

An update to an Instance pool.

Name Type Description
properties.dnsZone

string

The Dns Zone that the managed instance pool is in.

properties.licenseType

InstancePoolLicenseType

The license type. Possible values are 'LicenseIncluded' (price for SQL license is included) and 'BasePrice' (without SQL license price).

properties.maintenanceConfigurationId

string (arm-id)

Specifies maintenance configuration id to apply to this managed instance.

properties.subnetId

string

Resource ID of the subnet to place this instance pool in.

properties.vCores

integer (int32)

Count of vCores belonging to this instance pool.

sku

Sku

The name and tier of the SKU.

tags

object

Resource tags.

Sku

An ARM Resource SKU.

Name Type Description
capacity

integer (int32)

Capacity of the particular SKU.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU, typically, a letter + Number code, e.g. P3.

size

string

Size of the particular SKU

tier

string

The tier or edition of the particular SKU, e.g. Basic, Premium.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.